function skill064(j)  --夏侯文星耀太虚（10次）

if battle.CheckPlayerStat(1,710)==0 then
    player.AddStat(0,1,100,710,99)
end

if j==6 and flag.GetValue(33038)==2 and flag.GetBattleValue(33037)==0 then--33038已学会恨
tim=0
    for se=1,7,1 do
    if battle.CheckNpcPlace(se)==0 then
	    tim=tim+1
	end
	end
flag.SetBattleValue(33075,2)
flag.SetBattleValue(33037,tim*2+4)--33037号：文星反转剩余回合数
global.EnableSkipDialog(0)
ui.Dialog_t(170708,529,1,0,1,0,4)--虚实真伪，永世之隔……！
global.EnableSkipDialog(1)
end

end